#!/bin/bash

set -xe
SCRIPT_DIR="$(dirname "$(realpath "$0")")"

KOJI_HUB_FQDN="$(hostname -f)"

cat > $SCRIPT_DIR/parameters.sh <<- EOT
#!/bin/bash
## GLOBALS
export POSTGRES_USER=postgres
export POSTGRES_DEFAULT_DIR=/var/lib/pgsql
export HTTPD_USER=apache
export HTTPD_DOCUMENT_ROOT=/var/www/html
export KOJI_PKI_DIR=/etc/pki/koji
## KOJI RPM BUILD AND TRACKER
export KOJI_DIR=/mnt/koji
export KOJI_HUB_FQDN="$KOJI_HB_FQDN"
export KOJI_BUILD_FQDN="$KOJI_BUILD_FQDN"
export KOJI_URL=http://"$KOJI_HUB_FQDN"
export KOJID_CAPACITY=16
export TAG_NAME=sme
# Use for koji SSL certificates
export COUNTRY_CODE='$COUNTRY_CODE'
export STATE='$STATE'
export LOCATION='$LOCATION'
export ORGANIZATION='$ORGANIZATION'
export ORG_UNIT='$ORG_UNIT'
# Use for importing existing RPMs
export RPM_ARCH='x86_64'
export SRC_RPM_DIR=
export BIN_RPM_DIR=
export DEBUG_RPM_DIR=
# Comment the following if supplying all RPMs as an upstream and not a downstream
export EXTERNAL_REPO=http://mirrorlist.centos.org/releases/10/smeos/
## POSTGRESQL DATABASE
export POSTGRES_DIR=/var/lib/pgsql
EOT
